<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>ChessBoard Loop</title>
    <style>
        #chessboard{
            width: 800px;
            height: 800px;
            margin: 100px auto;
            border: 5px solid green;
        }
        .blackbox{
            width: 100px;
            hight: 100px;
            background-color: black;
            float: left;
        }
        .whitebox{
            width: 100px;
            hight: 100px;
            background-color: ;
        }

    </style>
</head>
<body>
    <div id="chessboard">
        <script>
            var row = 1;

            for(i=1; i<=8 ; row++);
            {
                if(row & 1) {
                    className = "blackBox";
                }
                else{
                    className = "whitebox";
            }

                var col = 1;

                for(j=1;j<=8;j++,col++)
                {
                    str = '<div class = "' + className + '"
            )
                    }
                }
            }

        </script>

    </div>
</body>
</html>